Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Upload product image

Uploads an image either by file or URL and adds it to a product

PUT/api/v1/{team_slug}/{app_slug}/products/{product_id}/images
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
product_idstringrequired

Product Number

app_slugstringrequired

App slug

team_slugstringrequired

Team slug

Request body
application/x-www-form-urlencoded
imageany

Image file to upload

titlestring

Title for the image

altstring

Alternative text for the image

copyrightstring

Copyright text for the image

prioritynumber

Priority for the image list

urlstring

URL for image to upload

publicboolean

If image is public or not

filenamestring

Custom filename (without extension)

overwriteboolean

Overwrite the existing image with the same filename instead of creating a new one. Requires filename

blurhashstring

Optional precomputed blurhash. If provided, generation is skipped

parent_idstring

Parent image ID

attributesstring[]

Attribute for image, e.g. white-background

Responses
200

Image uploaded successfully

datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.ImageWithPriorityrequired
Show properties
altstring | null
app_idstring | null
attributesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute
created_atstring
descriptionstring | null
filterableboolean | null
idstring
keystring
namestring | null
template_keystring
template_namestring
translatableboolean | null
translationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeTranslations
Show properties
descriptiongithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[]
namegithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[]
updated_atstring | null
valuesobject | null
blurhashstring
copyrightstring | null
customobject | null
folder_idstring
idstring
parent_idstring | null
priorityinteger
publicboolean
statusstring
titlestring | null
translationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.ImageTranslation
Show properties
altgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
idstring
localestring
valuestring
copyrightgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[] | null
titlegithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[] | null
urlstring
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Bodyapplication/x-www-form-urlencoded
Request
curl -X PUT 'https://api.enad.io/api/v1/string/string/products/string/images' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/x-www-form-urlencoded' \
  -d 'image=null&title=string&alt=string&copyright=string&priority=0&url=string&public=true&filename=string&overwrite=true&blurhash=string&parent_id=string&attributes=string'
Response
{
  "data": {
    "alt": "string",
    "app_id": "string",
    "attributes": [
      {
        "created_at": "string",
        "description": "string",
        "filterable": true,
        "id": "string",
        "key": "string",
        "name": "string",
        "template_key": "string",
        "template_name": "string",
        "translatable": true,
        "translations": {
          "description": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ],
          "name": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ]
        },
        "updated_at": "string",
        "values": {
          "property1": {
            "field_id": "string",
            "id": "string",
            "image_id": "string",
            "image_object": {
              "alt": "string",
              "app_id": "string",
              "blurhash": "string",
              "copyright": "string",
              "custom": {
                "property1": "string",
                "property2": "string"
              },
              "folder_id": "string",
              "id": "string",
              "parent_id": "string",
              "public": true,
              "status": "string",
              "title": "string",
              "url": "string"
            },
            "translations": {
              "value": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "type": "string",
            "value": "string"
          },
          "property2": {
            "field_id": "string",
            "id": "string",
            "image_id": "string",
            "image_object": {
              "alt": "string",
              "app_id": "string",
              "blurhash": "string",
              "copyright": "string",
              "custom": {
                "property1": "string",
                "property2": "string"
              },
              "folder_id": "string",
              "id": "string",
              "parent_id": "string",
              "public": true,
              "status": "string",
              "title": "string",
              "url": "string"
            },
            "translations": {
              "value": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "type": "string",
            "value": "string"
          }
        }
      }
    ],
    "blurhash": "string",
    "copyright": "string",
    "custom": {
      "property1": "string",
      "property2": "string"
    },
    "folder_id": "string",
    "id": "string",
    "parent_id": "string",
    "priority": 0,
    "public": true,
    "status": "string",
    "title": "string",
    "translations": {
      "alt": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ],
      "copyright": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ],
      "title": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ]
    },
    "url": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}